Description

Foreman could tie in things like subnets, domains, media, proxies and compute resources into a location concept

Associated revisions

Revision 611f5bff - 11/28/2012 05:38 AM - Amos Benari

Add organization and location to foreman.

This feature allows foreman to provide multi location, multi tenant and
multi organizations capablities.

the idea is that resources within foreman (e.g. hosts, subnets, users,
environments etc) can belong to one or more locations and organization,
effectivily hidding resources from users.

Organization may contain multiple locations, and Locations can belong
to multiple Organization, this is an extermily flexiable design,

however, it is up to the user to allocate the resources across the
organizations and locations.

When creating new hosts, the resources that can be consumed are only
resources in which exists in both the currently used organization and location.

fixes #1578
fixes #1593

History

#1 - 05/21/2012 08:46 AM - Ohad Levy

- Difficulty set to medium

#2 - 06/03/2012 09:32 AM - Ohad Levy
- Target version deleted (1.0)

#3 - 07/18/2012 03:55 AM - Ohad Levy
- Assignee deleted (Ohad Levy)

- Target version set to 1.1

#4 - 07/18/2012 03:56 AM - Ohad Levy

- Assignee set to Greg Blomquist

#5 - 11/28/2012 05:35 AM - Ohad Levy

- Assignee changed from Greg Blomquist to Amos Benari

#6 - 11/28/2012 06:49 AM - Amos Benari

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset 611f5bff49c1f06ae9ad0dd42b7566df9a02af2f.

05/11/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/611f5bff49c1f06ae9ad0dd42b7566df9a02af2f
http://www.tcpdf.org

